=== debian/changelog ===
mediascanner2 (0.115~git20230129.0ea75b2-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1030241).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 01 Feb 2023 15:16:24 +0100
