=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export DPKG_GENSYMBOLS_CHECK_LEVEL=1

# http://ccache.samba.org/manual.html#_precompiled_headers
export CCACHE_SLOPPINESS=time_macros

%:
	dh $@

#ifneq (,$(filter powerpc,$(DEB_HOST_ARCH)))
#  test_arg = || :
#else
#  test_arg =
#endif

override_dh_auto_test:
# Disable unit tests for now, they freeze in tsts_albumsmodel.qml
# Issue needs to be addressed upstream: https://gitlab.com/ubports/development/core/mediascanner2/-/issues/6
#	dh_auto_test --max-parallel=1 -- ARGS="--verbose" $(test_arg)

override_dh_installdeb:
	dh_apparmor --profile-name=usr.bin.mediascanner-service-2.0 -pmediascanner2.0
	dh_apparmor --profile-name=usr.lib.mediascanner-2.0.mediascanner-extractor -pmediascanner2.0
	dh_installdeb

override_dh_install:
	# silence lintian, complaining about empty dirs in package otherwise
	mkdir -p debian/tmp/usr/share/apparmor/hardware/audio.d/
	mkdir -p debian/tmp/usr/share/apparmor/hardware/graphics.d/
	mkdir -p debian/tmp/usr/share/apparmor/hardware/video.d/
	touch debian/tmp/usr/share/apparmor/hardware/audio.d/.placeholder
	touch debian/tmp/usr/share/apparmor/hardware/graphics.d/.placeholder
	touch debian/tmp/usr/share/apparmor/hardware/video.d/.placeholder
	dh_install

override_dh_missing:
	dh_missing --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
