=== debian/watch ===
version=4
opts="mode=git, pgpmode=none,  pretty=0.115~git%cd.%h" \
https://gitlab.com/ubports/development/core/mediascanner2 \
HEAD debian uupdate
