## mediascanner2 0.115

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,9 @@
-cmake_minimum_required(VERSION 3.0.2)
-project(mediascanner2 CXX C)
+cmake_minimum_required(VERSION 3.6.0)
+project(mediascanner2 VERSION 0.115 LANGUAGES CXX C)
 
-set(MEDIASCANNER_VERSION "0.112")
+set(MEDIASCANNER_VERSION "${PROJECT_VERSION}")
 
 set(MEDIASCANNER_SOVERSION "4")
-
 set(MEDIASCANNER_LIBVERSION "${MEDIASCANNER_SOVERSION}.${MEDIASCANNER_VERSION}")
 
 if(PROJECT_BINARY_DIR STREQUAL PROJECT_SOURCE_DIR)
@@ -15,6 +14,7 @@
 option(ENABLE_TESTS "Enable tests" ON)
 
 include(FindPkgConfig)
+find_package(PkgConfig REQUIRED)
 pkg_check_modules(MEDIASCANNER_DEPS REQUIRED
   gio-2.0
   gio-unix-2.0
@@ -25,15 +25,16 @@
 pkg_check_modules(PIXBUF gdk-pixbuf-2.0 REQUIRED)
 pkg_check_modules(EXIF libexif REQUIRED)
 pkg_check_modules(TAGLIB taglib REQUIRED)
-pkg_check_modules(DBUSCPP dbus-cpp REQUIRED)
+pkg_check_modules(DBUSCPP dbus-cpp REQUIRED IMPORTED_TARGET)
 pkg_check_modules(APPARMOR libapparmor REQUIRED)
 pkg_check_modules(UDISKS udisks2 REQUIRED)
 find_package(Threads REQUIRED)
-find_package(Qt5Core REQUIRED)
+find_package(Qt5 "5.12.0" COMPONENTS Core Test QuickTest Qml Concurrent DBus REQUIRED)
 
 set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -Wall -pedantic -Wextra -std=c99")
 set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -pedantic -Wextra")
 set(CMAKE_CXX_STANDARD 17)
+
 if(${FULL_WARNINGS})
 # C does not have any more warning flags.
   set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Weffc++")
