=== src/CMakeLists.txt ===
add_subdirectory(mediascanner)
add_subdirectory(extractor)
add_subdirectory(daemon)
add_subdirectory(ms-dbus)
add_subdirectory(qml/MediaScanner.0.1)
add_subdirectory(utils)
