=== test/CMakeLists.txt ===
--- 
+++ 
@@ -67,8 +67,10 @@
 add_test(test_dbus test_dbus)
 
 add_executable(test_qml test_qml.cc)
-qt5_use_modules(test_qml QuickTest)
-target_link_libraries(test_qml mediascanner)
+target_link_libraries(test_qml
+        mediascanner
+        Qt5::Test
+        Qt5::QuickTest)
 add_test(test_qml test_qml -import ${CMAKE_BINARY_DIR}/src/qml)
 set_tests_properties(test_qml PROPERTIES
   ENVIRONMENT "QT_QPA_PLATFORM=minimal;QT_SELECT=qt5"
