=== src/ms-dbus/CMakeLists.txt ===
--- 
+++ 
@@ -29,7 +29,7 @@
 
 install(
   TARGETS mediascanner-dbus
-  RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR}/mediascanner-2.0
+  RUNTIME DESTINATION ${CMAKE_INSTALL_LIBEXECDIR}/mediascanner-2.0
 )
 
 configure_file(
