=== debian/changelog ===
mediascanner2 (0.115-4build4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 12 Apr 2024 05:40:18 +0000

mediascanner2 (0.115-4build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 20:05:53 +0000

mediascanner2 (0.115-4build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:54:33 +0000

mediascanner2 (0.115-4build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:44:07 +0000

mediascanner2 (0.115-4) unstable; urgency=medium

  * d/control: Use my debian email
  * d/control: replace B-D libgdk-pixbuf2.0-dev with
    libgdk-pixbuf-2.0-dev (closes: #1037395)

 -- Marius Gripsgard <mariogrip@debian.org>  Sun, 29 Oct 2023 16:14:15 +0100

mediascanner2 (0.115-3) unstable; urgency=medium

  * debian/:
    + Don't ship apparmor .placeholder files, only ship the empty directories.
      (Closes: #1030699).

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Feb 2023 18:49:14 +0100

mediascanner2 (0.115-2) unstable; urgency=medium

  * debian/control:
    + Fix Vcs-*: fields. Point to Salsa, not to upstream's GitLab.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 06 Feb 2023 15:35:30 +0100

mediascanner2 (0.115-1) unstable; urgency=medium

  * New upstream release.
  * debian/watch:
    + Start watching upstream releases.
  * debian/patches:
    + Drop 1001_use-libexecdir.patch. Applied upstream.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/rules:
    + Re-enable unit-tests. They are now fixed and work like a charme. (Thanks
      to Sergey Chuplign).

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 04 Feb 2023 23:06:44 +0100
