=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: mediascanner2
 Section: libs
 Priority: optional
-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
-           Marius Gripsgard <marius@ubports.com>,
+           Marius Gripsgard <marius@debian.org>,
 Build-Depends: cmake,
                cmake-extras (>= 0.10),
                dbus,
@@ -16,7 +17,7 @@
                libglib2.0-dev,
                libgstreamer-plugins-base1.0-dev,
                libgstreamer1.0-dev,
-               libgdk-pixbuf2.0-dev,
+               libgdk-pixbuf-2.0-dev,
                libgtest-dev,
                libproperties-cpp-dev,
                libsqlite3-dev (>= 3.8.5),
@@ -36,8 +37,8 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/mediascanner2
-Vcs-Git: https://gitlab.com/ubports/development/core/mediascanner2.git
-Vcs-Browser: https://gitlab.com/ubports/development/core/mediascanner2
+Vcs-Git: https://salsa.debian.org/ubports-team/mediascanner2.git
+Vcs-Browser: https://salsa.debian.org/ubports-team/mediascanner2
 
 Package: libmediascanner-2.0-4
 Architecture: any
