=== debian/watch ===
version=4
https://gitlab.com/ubports/development/core/mediascanner2/tags .*/mediascanner2-(\d\S+)\.tar\.gz
