## mediascanner2 0.117

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6.0)
-project(mediascanner2 VERSION 0.115 LANGUAGES CXX C)
+project(mediascanner2 VERSION 0.117 LANGUAGES CXX C)
 
 set(MEDIASCANNER_VERSION "${PROJECT_VERSION}")
 
@@ -13,9 +13,13 @@
 option(FULL_WARNINGS "All possible compiler warnings." OFF)
 option(ENABLE_TESTS "Enable tests" ON)
 
+# Add a CMake variable for debug mode
+option(DEBUG_MODE "Enable debug mode" OFF)
+
 include(FindPkgConfig)
 find_package(PkgConfig REQUIRED)
 pkg_check_modules(MEDIASCANNER_DEPS REQUIRED
+  glib-2.0
   gio-2.0
   gio-unix-2.0
   sqlite3>=3.8.5
