=== src/extractor/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 add_custom_command(
   OUTPUT dbus-generated.c dbus-generated.h
-  COMMAND ${gdbus_codegen} --interface-prefix=com.canonical.MediaScanner2 --generate-c-code dbus-generated --c-namespace MS ${CMAKE_CURRENT_SOURCE_DIR}/dbus-interface.xml
+  COMMAND ${gdbus_codegen} --interface-prefix=com.lomiri.MediaScanner2 --generate-c-code dbus-generated --c-namespace MS ${CMAKE_CURRENT_SOURCE_DIR}/dbus-interface.xml
   MAIN_DEPENDENCY dbus-interface.xml
   )
 # Code generated by gdbus-codegen doesn't like all the warning flags
@@ -36,6 +36,8 @@
   ImageExtractor.cc
   TaglibExtractor.cc
 )
+target_compile_definitions(extractor-backend
+  PRIVATE G_LOG_DOMAIN="mediascanner-extractor")
 target_link_libraries(extractor-backend
   extractor-client
   ${GST_LDFLAGS}
@@ -48,6 +50,8 @@
   main.cc
 )
 target_link_libraries(mediascanner-extractor extractor-backend)
+target_compile_definitions(mediascanner-extractor
+  PRIVATE G_LOG_DOMAIN="mediascanner-extractor")
 
 install(
   TARGETS mediascanner-extractor
@@ -55,9 +59,9 @@
 )
 
 configure_file(
-  com.canonical.MediaScanner2.Extractor.service.in
-  com.canonical.MediaScanner2.Extractor.service)
+  com.lomiri.MediaScanner2.Extractor.service.in
+  com.lomiri.MediaScanner2.Extractor.service)
 install(
-  FILES ${CMAKE_CURRENT_BINARY_DIR}/com.canonical.MediaScanner2.Extractor.service
+  FILES ${CMAKE_CURRENT_BINARY_DIR}/com.lomiri.MediaScanner2.Extractor.service
   DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/services
 )
