=== src/utils/CMakeLists.txt ===
add_definitions(${MEDIASCANNER_DEPS_CFLAGS})
include_directories(..)

add_executable(mediascanner-watcher watchertest.cc)
install(
  TARGETS mediascanner-watcher
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

add_executable(mediascanner-query query.cc)
target_link_libraries(mediascanner-query mediascanner
${MEDIASCANNER_DEPS_LDFLAGS})
install(
  TARGETS mediascanner-query
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)

add_executable(mediascanner-mountwatcher mountwatcher.cc)
target_link_libraries(mediascanner-mountwatcher scannerstuff)
install(
  TARGETS mediascanner-mountwatcher
  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)
