=== debian/changelog ===
mediascanner2 (0.117-3) unstable; urgency=medium

  * debian/control:
    + Switch from libtag1-dev to libtag-dev (as part of the taglib 2.x
      transition).
  * debian/patches:
    + Add 1001_taglib-2.x.patch. Support building against taglib 2.x. (Closes:
      #1092684).
  * debian/copyright:
    + Update attributions for debian/.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 11 Jan 2025 17:49:11 +0100

mediascanner2 (0.117-2) unstable; urgency=medium

  * Re-upload source-only as is.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 12 Oct 2024 15:16:37 +0200

mediascanner2 (0.117-1) unstable; urgency=medium

  * New upstream release.
  * debian/: Add bin:pkg mediascanner2.0-utils.
  * debian/patches:
    + Drop 1001_only-start-with-lomiri.patch. Similar change applied upstream.
    + Add 1001_typo-fixes.patch. Typo fixing.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Thu, 10 Oct 2024 19:23:38 +0200

mediascanner2 (0.116-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.0. No changes needed.
  * debian/patches:
    + Add 1001_only-start-with-lomiri.patch. Only start Mediascanner-2.0 in
      Lomiri sessions.
  * debian/copyright:
    + Update copyright attribution for debian/.
  * debian/source/lintian-overrides:
    + Drop very-long-line-length-in-source-file overrides.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 08 Oct 2024 09:36:47 +0200

mediascanner2 (0.115-5) unstable; urgency=medium

  * debian/watch:
    + Update file for recent GitLab changes of the tags overview page.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 08 Jul 2024 09:11:15 +0200
