=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mediascanner2
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
+Maintainer: Debian UBports Team <team+ubports@tracker.debian.org>
 Uploaders: Mike Gabriel <sunweaver@debian.org>,
            Marius Gripsgard <marius@debian.org>,
 Build-Depends: cmake,
@@ -21,7 +20,7 @@
                libgtest-dev,
                libproperties-cpp-dev,
                libsqlite3-dev (>= 3.8.5),
-               libtag1-dev,
+               libtag-dev,
                libudisks2-dev,
                qml-module-qtquick2,
                qml-module-qttest,
@@ -34,7 +33,7 @@
                gstreamer1.0-plugins-base,
                gstreamer1.0-plugins-good,
                shared-mime-info,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/mediascanner2
 Vcs-Git: https://salsa.debian.org/ubports-team/mediascanner2.git
@@ -67,6 +66,22 @@
  .
  This package provides the media scanner D-Bus service.
 
+Package: mediascanner2.0-utils
+Section: misc
+Architecture: any
+Multi-Arch: foreign
+Pre-Depends: ${misc:Pre-Depends},
+Depends: mediascanner2.0 (= ${binary:Version}),
+         ${misc:Depends},
+         ${shlibs:Depends},
+Description: Media scanner utilities
+ Media Scanner 2.0 is a user session D-Bus services that scans files (and
+ etects changes) in the user's home directory relevant for media apps
+ (such as the gallery app, the music player app, the mediaplayer app,
+ etc.).
+ .
+ This package provides the media scanner utilities for testing and debugging.
+
 Package: libmediascanner-2.0-dev
 Section: libdevel
 Architecture: any
