## mediascanner2 0.118

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 cmake_minimum_required(VERSION 3.6.0)
-project(mediascanner2 VERSION 0.117 LANGUAGES CXX C)
+project(mediascanner2 VERSION 0.118 LANGUAGES CXX C)
 
 set(MEDIASCANNER_VERSION "${PROJECT_VERSION}")
