=== test/CMakeLists.txt ===
--- 
+++ 
@@ -11,12 +11,12 @@
 include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 configure_file(
-  services/com.canonical.MediaScanner2.service.in
-  services/com.canonical.MediaScanner2.service)
+  services/com.lomiri.MediaScanner2.service.in
+  services/com.lomiri.MediaScanner2.service)
 
 configure_file(
-  services/com.canonical.MediaScanner2.Extractor.service.in
-  services/com.canonical.MediaScanner2.Extractor.service)
+  services/com.lomiri.MediaScanner2.Extractor.service.in
+  services/com.lomiri.MediaScanner2.Extractor.service)
 
 add_executable(basic basic.cc)
 target_link_libraries(basic mediascanner scannerstuff ${TEST_LIBS})
