=== src/daemon/CMakeLists.txt ===
--- 
+++ 
@@ -19,6 +19,9 @@
 set_target_properties(scannerdaemon
   PROPERTIES OUTPUT_NAME "mediascanner-service-2.0")
 
+target_compile_definitions(scannerdaemon
+  PRIVATE G_LOG_DOMAIN="mediascanner-service-2.0")
+
 target_link_libraries(scannerdaemon
   mediascanner
   scannerstuff
