=== src/ms-dbus/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,5 @@
 include_directories(..)
-add_definitions(${MEDIASCANNER_CFLAGS} ${DBUSCPP_CFLAGS} ${APPARMOR_CFLAGS})
+add_definitions(${MEDIASCANNER_CFLAGS} ${DBUSCPP_CFLAGS} ${APPARMOR_CFLAGS} ${GLIB_CFLAGS})
 
 add_library(ms-dbus STATIC
   dbus-codec.cc
@@ -16,13 +16,16 @@
   mediascanner
   Threads::Threads
   ${DBUSCPP_LDFLAGS}
-  ${APPARMOR_LDFLAGS})
+  ${APPARMOR_LDFLAGS}
+  ${GLIB_LDFLAGS})
 # Compile with -fPIC, since this code is linked into the QML plugin.
 set_target_properties(ms-dbus PROPERTIES COMPILE_FLAGS "-fPIC ")
 
 add_executable(mediascanner-dbus
   main.cc
 )
+target_compile_definitions(mediascanner-dbus
+  PRIVATE G_LOG_DOMAIN="mediascanner-dbus-2.0")
 target_link_libraries(mediascanner-dbus ms-dbus)
 set_target_properties(mediascanner-dbus
   PROPERTIES OUTPUT_NAME "mediascanner-dbus-2.0")
@@ -33,10 +36,10 @@
 )
 
 configure_file(
-  com.canonical.MediaScanner2.service.in
-  com.canonical.MediaScanner2.service)
+  com.lomiri.MediaScanner2.service.in
+  com.lomiri.MediaScanner2.service)
 
 install(
-  FILES ${CMAKE_CURRENT_BINARY_DIR}/com.canonical.MediaScanner2.service
+  FILES ${CMAKE_CURRENT_BINARY_DIR}/com.lomiri.MediaScanner2.service
   DESTINATION ${CMAKE_INSTALL_DATADIR}/dbus-1/services
 )
