=== src/utils/CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,10 @@
 add_definitions(${MEDIASCANNER_DEPS_CFLAGS})
 include_directories(..)
 
-add_executable(mediascanner-watcher watchertest.cc)
 install(
-  TARGETS mediascanner-watcher
-  RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
+  PROGRAMS watchertest.sh
+  DESTINATION ${CMAKE_INSTALL_BINDIR}
+  RENAME mediascanner-watcher
 )
 
 add_executable(mediascanner-query query.cc)
