=== src/qml/MediaScanner.0.1/CMakeLists.txt ===
--- 
+++ 
@@ -1,27 +1,43 @@
 include_directories(${CMAKE_SOURCE_DIR}/src)
-add_definitions(${DBUSCPP_CFLAGS} -DQT_NO_KEYWORDS)
+
+set(CMAKE_AUTOMOC ON)
+set(CMAKE_AUTORCC ON)
 
 set(QML_PLUGIN_DIR "${CMAKE_INSTALL_LIBDIR}/qt5/qml/MediaScanner.0.1")
 
-add_library(mediascanner-qml MODULE
-  plugin.cc
-  MediaFileWrapper.cc
-  MediaStoreWrapper.cc
-  StreamingModel.cc
-  MediaFileModelBase.cc
-  AlbumModelBase.cc
-  AlbumsModel.cc
-  ArtistsModel.cc
-  GenresModel.cc
-  SongsModel.cc
-  SongsSearchModel.cc
+add_library(mediascanner-qml SHARED
+  plugin.cpp
+  MediaFileWrapper.cpp
+  MediaFileWrapper.h
+  MediaStoreWrapper.cpp
+  MediaStoreWrapper.h
+  StreamingModel.cpp
+  StreamingModel.h
+  MediaFileModelBase.cpp
+  MediaFileModelBase.h
+  AlbumModelBase.cpp
+  AlbumModelBase.h
+  AlbumsModel.cpp
+  AlbumsModel.h
+  ArtistsModel.cpp
+  ArtistsModel.h
+  GenresModel.cpp
+  GenresModel.h
+  SongsModel.cpp
+  SongsModel.h
+  SongsSearchModel.cpp
+  SongsSearchModel.h
 )
-
-set_target_properties(mediascanner-qml PROPERTIES
-  AUTOMOC TRUE
-  NO_SONAME TRUE)
-qt5_use_modules(mediascanner-qml Qml Concurrent DBus)
-target_link_libraries(mediascanner-qml mediascanner ms-dbus)
+target_compile_definitions(mediascanner-qml PRIVATE -DQT_NO_KEYWORDS)
+target_link_libraries(mediascanner-qml
+    Qt5::Core
+    Qt5::Gui
+    Qt5::Qml
+    Qt5::Concurrent
+    Qt5::DBus
+    PkgConfig::DBUSCPP
+    mediascanner
+    ms-dbus)
 
 install(
   TARGETS mediascanner-qml
