=== debian/changelog ===
mediascanner2 (0.118-1) unstable; urgency=medium

  * New upstream release.
  * debian/control:
    + Bump Standards-Version: to 4.7.2. No changes needed.
  * debian/patches:
    + Drop 1001_taglib-2.x.patch and 1001_typo-fixes.patch. Both applied
      upstream.
  * debian/copyright:
    + Update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 05 May 2025 17:27:22 +0200
