=== debian/control ===
--- 
+++ 
@@ -33,7 +33,7 @@
                gstreamer1.0-plugins-base,
                gstreamer1.0-plugins-good,
                shared-mime-info,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.com/ubports/development/core/mediascanner2
 Vcs-Git: https://salsa.debian.org/ubports-team/mediascanner2.git
